Page MenuHomeFreeBSD

Add linux_skip_mounts
ClosedPublic

Authored by trasz on Nov 11 2019, 10:06 PM.

Details

Summary

Add 'linux_skip_mounts' rc.conf(5) variable, to avoid mounting
Linux-specific filesystems under /compat/linux when 'linux_enable'
is set to YES.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

trasz created this revision.Nov 11 2019, 10:06 PM
ian accepted this revision.Nov 11 2019, 10:17 PM

Looks good to me. I've already added linux_skip_mounts=YES to my rc.conf so when I upgrade to 13 I won't forget to do it. :)

This revision is now accepted and ready to land.Nov 11 2019, 10:17 PM
netchild accepted this revision.Nov 12 2019, 10:32 AM

Under the assumption that the man page update will be added to https://reviews.freebsd.org/D22277: OK

tijl added a subscriber: tijl.Nov 12 2019, 10:48 AM

I'm not 100% sure but I think all the variables in rc.conf are "positive", not "negative", like enable, never disable. So perhaps the variable should be called linux_mounts or linux_mounts_enable or linux_fs_mount or something, and default to YES.

trasz updated this revision to Diff 64228.Nov 12 2019, 3:03 PM

Rename to 'linux_mounts_enable' and flip the meaning.

This revision now requires review to proceed.Nov 12 2019, 3:03 PM
emaste added a subscriber: emaste.Nov 12 2019, 3:15 PM
In D22320#488259, @tijl wrote:

I'm not 100% sure but I think all the variables in rc.conf are "positive", not "negative", like enable, never disable.

Yes, we should avoid negative-sense controls, for sysctls as well.

This revision was not accepted when it landed; it landed in state Needs Review.Nov 13 2019, 8:27 PM
This revision was automatically updated to reflect the committed changes.